Bug 158269 - New port: math/coinmp
Summary: New port: math/coinmp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-25 00:50 UTC by Pedro F. Giffuni
Modified: 2011-07-30 08:15 UTC (History)
0 users

See Also:


Attachments
file.shar (10.47 KB, text/plain)
2011-06-25 00:50 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2011-06-25 00:50:09 UTC
CoinMP is a C library that supports functionality from three different
COIN-OR (Optimization) projects:

- CLP (Coin LP)
- CBC (Coin Branch-and-Cut)
- CGL (Cut Generation Library)

It also includes the clp and cbc binaries so it conflicts with math/clp
(which is a newer version and uses the fortran solvers so is not obsolete).

I left a knob that builds the glpk solver too, unfortunately our math/glpk
port removed the required headers so this option won't build out of the box.

This package will likely replace lp_solve in the new Apache OpenOffice.org
project.
Comment 1 b. f. 2011-06-25 03:50:09 UTC
> CoinMP is a C library that supports functionality from three different
> COIN-OR (Optimization) projects:
>
> - CLP (Coin LP)
> - CBC (Coin Branch-and-Cut)
> - CGL (Cut Generation Library)
>
> It also includes the clp and cbc binaries so it conflicts with math/clp
> (which is a newer version and uses the fortran solvers so is not obsolete).

Why not just add ports for cbc and cgl, instead of this bundle port?
Does it have some added functionality beyond the components listed
above?

>
> I left a knob that builds the glpk solver too, unfortunately our math/glpk
> port removed the required headers so this option won't build out of the box.

I added them, but then removed them, because no other in-tree ports
that I knew of needed anything other than glpk.h, demon@ didn't seem
to care, and it made maintaining the pkg-plist easier.  What
additional headers are needed by CoinMP?

b.
Comment 2 Brendan Fabeny freebsd_committer 2011-06-25 03:51:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 3 Pedro F. Giffuni 2011-06-27 20:00:44 UTC
(Re-posting as the first email bounced back)

On Sat, 25 Jun 2011 02:50:09 +0000, "b. f." <bf1783@googlemail.com>
wrote:
>> CoinMP is a C library that supports functionality from three
>> different
>> COIN-OR (Optimization) projects:
>>
>> - CLP (Coin LP)
>> - CBC (Coin Branch-and-Cut)
>> - CGL (Cut Generation Library)
>>
>> It also includes the clp and cbc binaries so it conflicts with
>> math/clp
>> (which is a newer version and uses the fortran solvers so is not
>> obsolete).
>
> Why not just add ports for cbc and cgl, instead of this bundle port?
> Does it have some added functionality beyond the components listed
> above?
>

Yes, in addition to CLP, CBC, CGL, and their cosrrespoding OSI
interface, there's a C library called CoinMP, that will be used
in OpenOffice's calc.

>>
>> I left a knob that builds the glpk solver too, unfortunately our
>> math/glpk
>> port removed the required headers so this option won't build out of
>> the box.
>
> I added them, but then removed them, because no other in-tree ports
> that I knew of needed anything other than glpk.h, demon@ didn't seem
> to care, and it made maintaining the pkg-plist easier.  What
> additional headers are needed by CoinMP?
>

Actually, I added them for CLP and we had a knob to use them there but
I never understood how to make any use of it. I eventually got tired
of having port bumps everytime GLPK was updated and killed the knob.
I recall pretty much every header that you removed was required, but
the thing with COIN is that it's mostly libraries so you usually only
need this if you are a programmer and want to use the specific functionality in OSI.

Pedro.
Comment 4 dfilter service freebsd_committer 2011-07-29 15:24:15 UTC
bf          2011-07-29 14:23:59 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/coinmp          Makefile distinfo pkg-descr pkg-plist 
    math/coinmp/files    patch-Cbc__src__CbcEventHandler.hpp 
                         patch-CoinUtils+src+CoinParam.hpp 
  Log:
  Add coinmp 1.4.0, optimization library with support for most of COIN-OR
  CLP, CBC and CGL.
  
  PR:             158269
  Submitted by:   Pedro Giffuni
  
  Revision  Changes    Path
  1.711     +1 -0      ports/math/Makefile
  1.1       +47 -0     ports/math/coinmp/Makefile (new)
  1.1       +2 -0      ports/math/coinmp/distinfo (new)
  1.1       +10 -0     ports/math/coinmp/files/patch-Cbc__src__CbcEventHandler.hpp (new)
  1.1       +10 -0     ports/math/coinmp/files/patch-CoinUtils+src+CoinParam.hpp (new)
  1.1       +6 -0      ports/math/coinmp/pkg-descr (new)
  1.1       +255 -0    ports/math/coinmp/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Brendan Fabeny freebsd_committer 2011-07-30 08:15:10 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!